//////////////////////////////////////////
// Nim.cpp
//Copyright (c) 01/10/2022 by BCCSkelton
//////////////////////////////////////////
#include	"Nim.h"
#include	"NimProc.h"

////////////////
// WinMain関数
////////////////
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPSTR lpCmdLine, int nCmdShow) {

	//２重起動防止
	if(!Nim.IsOnlyOne()) {
		//ここに２重起動時の処理を書く（下記は１例）
		HWND hWnd = FindWindow("MainWnd", "Nim");
		if(IsIconic(hWnd))
			ShowWindow(hWnd, SW_RESTORE);
		SetForegroundWindow(hWnd);
		return 0L;
	}

	//ウィンドウ登録 − Init(ClassName, hInstance, WndProc, "IDM_MAIN",
	//						（以下省略可）MAKEINTRESOURCE(IDI_ICON), IDC_ARROW, Brush)
	Nim.Init("MainWnd", hInstance, SDIPROC, "IDM_MAIN", MAKEINTRESOURCE(IDI_ICON));

	//ウィンドウ作成と表示−Create(WindowTitle, (以下省略可）Style,
	//						ExStyle, hParent, hMenu, x, y, w, h)
	if(!Nim.Create("Nim", WS_OVERLAPPEDWINDOW, NULL, NULL, NULL,
					CW_USEDEFAULT, CW_USEDEFAULT, 336, 381))
		return 0L;

	//メッセージループに入る
	return Nim.Loop();
}
